import { createApp } from 'vue';
import App from '/@/App.vue';
import { saasInit } from '/nerv-lib/saas';
import { apiModule } from '/@/api';
import { appConfig } from '/@/config';
import './theme/global.less';
import { LeftOutlined } from '@ant-design/icons-vue';
import { setupGlobDirectives } from '/@/directives';

const app = createApp(App);
app.component('LeftOutlined', LeftOutlined);

// Register global directive
// 注册全局指令
setupGlobDirectives(app);

saasInit({
  app,
  apiModule,
  appConfig,
});
app.mount('#app');
